package com.ym.mec.web.dal.dto;

import com.ym.mec.web.dal.enums.ClassGroupTypeEnum;
import com.ym.mec.web.dal.enums.CourseStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/17
 */
public class CourseScheduleDto {

    /**  */
    private Long id;

    /** 班级编号 */
    @ApiModelProperty(value = "班级编号",required = false)
    private Integer classGroupId;

    /** 班级名称 */
    @ApiModelProperty(value = "班级名称",required = false)
    private String classGroupName;

    /** 班级类型(普通班级、合奏班级) */
    @ApiModelProperty(value = "班级类型(普通班级、合奏班级、提高课班级、VIP班级)",required = false)
    private ClassGroupTypeEnum type;

    /** 课程状态 */
    @ApiModelProperty(value = "课程状态  NOT_START未开始，SIGN_IN已签到，SIGN_OUT已签退",required = false)
    private CourseStatusEnum status;

    /** 补贴 */
    @ApiModelProperty(value = "补贴",required = false)
    private long subsidy;

    /** 上课日期 */
    @ApiModelProperty(value = "上课日期",required = false)
    private java.util.Date classDate;

    /** 上课时间 */
    @ApiModelProperty(value = "上课时间",required = false)
    private java.util.Date startClassTime;

    /** 结束时间 */
    @ApiModelProperty(value = "结束时间",required = false)
    private java.util.Date endClassTime;

    /** 上课教师 */
    @ApiModelProperty(value = "上课教师",required = false)
    private Long teacherId;

    /** 实际上课教师 */
    @ApiModelProperty(value = "实际上课教师",required = false)
    private Long actualTeacherId;

    /**  */
    private java.util.Date createTime;

    /**  */
    private java.util.Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public ClassGroupTypeEnum getType() {
        return type;
    }

    public void setType(ClassGroupTypeEnum type) {
        this.type = type;
    }

    public CourseStatusEnum getStatus() {
        return status;
    }

    public void setStatus(CourseStatusEnum status) {
        this.status = status;
    }

    public long getSubsidy() {
        return subsidy;
    }

    public void setSubsidy(long subsidy) {
        this.subsidy = subsidy;
    }

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }

    public Date getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(Date startClassTime) {
        this.startClassTime = startClassTime;
    }

    public Date getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(Date endClassTime) {
        this.endClassTime = endClassTime;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Long getActualTeacherId() {
        return actualTeacherId;
    }

    public void setActualTeacherId(Long actualTeacherId) {
        this.actualTeacherId = actualTeacherId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
