package com.ym.mec.web.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.web.dal.enums.ClassGroupTypeEnum;
import com.ym.mec.web.dal.enums.YesOrNoEnum;

/**
 * 对应数据库表(class_group):
 */
public class ClassGroup {

	/**  */
	@ApiModelProperty(value = "班级编号",required = false)
	private Integer id;
	
	/**  */
	@ApiModelProperty(value = "乐团编号",required = false)
	private Integer musicGroupId;
	
	/**  */
	@ApiModelProperty(value = "科目编号",required = false)
	private String subjectIdList;
	
	/** 班级名称 */
	@ApiModelProperty(value = "班级名称",required = false)
	private String name;
	
	/** 学生数 */
	@ApiModelProperty(value = "学生数量",required = false)
	private Integer studentNum;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 班级类型(普通班级、合奏班级) */
	@ApiModelProperty(value = "班级类型(普通班级、合奏班级、提高课班级、VIP班级)",required = false)
	private ClassGroupTypeEnum type;

	/** 班级类型(普通班级、合奏班级) */
	@ApiModelProperty(value = "是否删除，1是 0否",required = false)
	private YesOrNoEnum delFlag;

	public YesOrNoEnum getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(YesOrNoEnum delFlag) {
		this.delFlag = delFlag;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setMusicGroupId(Integer musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public Integer getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public String getSubjectIdList() {
		return subjectIdList;
	}

	public void setSubjectIdList(String subjectIdList) {
		this.subjectIdList = subjectIdList;
	}

	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setStudentNum(Integer studentNum){
		this.studentNum = studentNum;
	}
	
	public Integer getStudentNum(){
		return this.studentNum;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public ClassGroupTypeEnum getType() {
		return type;
	}

	public void setType(ClassGroupTypeEnum type) {
		this.type = type;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
